Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt.trace
Class GenerateEvent

    java.lang.Object
      |
      +--weblogic.apache.xalan.xslt.trace.GenerateEvent

public class GenerateEvent
extends java.lang.Object
implements java.util.EventListener

Event generated by the XSL processor after it generates a new node in the result tree. This event responds to and is modeled on the SAX events that are sent to the formatter listener FormatterToXXX)classes.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FormatterToDOM`, `FormatterToHTML`, `FormatterToText`, `FormatterToXML`

Field Summary
`static int` | `EVENTTYPE_CDATA` Event type generated after CDATA is generated.
`static int` | `EVENTTYPE_CHARACTERS` Event type generated for character data (CDATA and Ignorable Whitespace have their own events).
`static int` | `EVENTTYPE_COMMENT` Event type generated after a comment has been added.
`static int` | `EVENTTYPE_ENDDOCUMENT` Event type generated when a document ends.
`static int` | `EVENTTYPE_ENDELEMENT` Event type generated when an element ends, after it's children have been added.
`static int` | `EVENTTYPE_ENTITYREF` Event type generate after an entity ref is created.
`static int` | `EVENTTYPE_IGNORABLEWHITESPACE` Event type generated for ignorable whitespace (I'm not sure how much this is actually called.
`static int` | `EVENTTYPE_PI` Event type generated for processing instructions.
`static int` | `EVENTTYPE_STARTDOCUMENT` Event type generated when a document begins.
`static int` | `EVENTTYPE_STARTELEMENT` Event type generated when an element begins (after the attributes have been processed but before the children have been added).
`org.xml.sax.AttributeList` | `m_atts` The current attribute list.
`char[]` | `m_characters` Character data from a character or cdata event.
`java.lang.String` | `m_data` The string data in the element (comments and PIs).
`int` | `m_eventtype` The type of SAX event that was generated, as enumerated in the EVENTTYPE_XXX constants below.
`int` | `m_length` The length of the current data in m_characters.
`java.lang.String` | `m_name` The name of the element or PI.
`XSLTEngineImpl` | `m_processor` The XSLT Processor, which either directly or indirectly contains most needed information.
`int` | `m_start` The start position of the current data in m_characters.

Constructor Summary
`GenerateEvent(XSLTEngineImpl processor, int eventType)` Constructor for startDocument, endDocument events.
`GenerateEvent(XSLTEngineImpl processor, int eventType, char[] ch, int start, int length)` Constructor for characters, cdate events.
`GenerateEvent(XSLTEngineImpl processor, int eventType, java.lang.String data)` Constructor for comment and entity ref events.
`GenerateEvent(XSLTEngineImpl processor, int eventType, java.lang.String name, org.xml.sax.AttributeList atts)` Constructor for startElement, endElement events.
`GenerateEvent(XSLTEngineImpl processor, int eventType, java.lang.String name, java.lang.String data)` Constructor for processingInstruction events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_processor

    public XSLTEngineImpl m_processor

  The XSLT Processor, which either directly or indirectly contains most needed information. Accessing the m_stylesheetRoot member variable will get you to the stylesheet information.
  See Also:

### m_eventtype

    public int m_eventtype

  The type of SAX event that was generated, as enumerated in the EVENTTYPE_XXX constants below.

### EVENTTYPE_STARTDOCUMENT

    public static final int EVENTTYPE_STARTDOCUMENT

  Event type generated when a document begins.

### EVENTTYPE_ENDDOCUMENT

    public static final int EVENTTYPE_ENDDOCUMENT

  Event type generated when a document ends.

### EVENTTYPE_STARTELEMENT

    public static final int EVENTTYPE_STARTELEMENT

  Event type generated when an element begins (after the attributes have been processed but before the children have been added).

### EVENTTYPE_ENDELEMENT

    public static final int EVENTTYPE_ENDELEMENT

  Event type generated when an element ends, after it's children have been added.

### EVENTTYPE_CHARACTERS

    public static final int EVENTTYPE_CHARACTERS

  Event type generated for character data (CDATA and Ignorable Whitespace have their own events).

### EVENTTYPE_IGNORABLEWHITESPACE

    public static final int EVENTTYPE_IGNORABLEWHITESPACE

  Event type generated for ignorable whitespace (I'm not sure how much this is actually called.

### EVENTTYPE_PI

    public static final int EVENTTYPE_PI

  Event type generated for processing instructions.

### EVENTTYPE_COMMENT

    public static final int EVENTTYPE_COMMENT

  Event type generated after a comment has been added.

### EVENTTYPE_ENTITYREF

    public static final int EVENTTYPE_ENTITYREF

  Event type generate after an entity ref is created.

### EVENTTYPE_CDATA

    public static final int EVENTTYPE_CDATA

  Event type generated after CDATA is generated.

### m_characters

    public char[] m_characters

  Character data from a character or cdata event.

### m_start

    public int m_start

  The start position of the current data in m_characters.

### m_length

    public int m_length

  The length of the current data in m_characters.

### m_name

    public java.lang.String m_name

  The name of the element or PI.

### m_data

    public java.lang.String m_data

  The string data in the element (comments and PIs).

### m_atts

    public org.xml.sax.AttributeList m_atts

  The current attribute list.

Constructor Detail

### GenerateEvent

    public GenerateEvent(XSLTEngineImpl processor,
                         int eventType)

  Constructor for startDocument, endDocument events.

  Parameters:
    `processor` - The XSLT Processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.

### GenerateEvent

    public GenerateEvent(XSLTEngineImpl processor,
                         int eventType,
                         java.lang.String name,
                         org.xml.sax.AttributeList atts)

  Constructor for startElement, endElement events.

  Parameters:
    `processor` - The XSLT Processor Instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `name` - The name of the element.
    `atts` - The SAX attribute list.

### GenerateEvent

    public GenerateEvent(XSLTEngineImpl processor,
                         int eventType,
                         char[] ch,
                         int start,
                         int length)

  Constructor for characters, cdate events.

  Parameters:
    `processor` - The XSLT Processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `ch` - The char array from the SAX event.
    `start` - The start offset to be used in the char array.
    `length` - The end offset to be used in the chara array.

### GenerateEvent

    public GenerateEvent(XSLTEngineImpl processor,
                         int eventType,
                         java.lang.String name,
                         java.lang.String data)

  Constructor for processingInstruction events.

  Parameters:
    `processor` - The instance of the XSLT processor.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `name` - The name of the processing instruction.
    `data` - The processing instruction data.

### GenerateEvent

    public GenerateEvent(XSLTEngineImpl processor,
                         int eventType,
                         java.lang.String data)

  Constructor for comment and entity ref events.

  Parameters:
    `processor` - The XSLT processor instance.
    `eventType` - One of the EVENTTYPE_XXX constants.
    `data` - The comment or entity ref data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD